#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 3};
}

int getMove1d(std::vector<int> v)
{
    int _n = v.size();
    if ((v[_n / 2] + 1) % 3 + 1 == v[_n / 2 + 1]) 
        return _n / 2 + 1;
    return _n / 2 - 1;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
